bitel.billing.server.util.terminal

## Class AbstractTerminalSession

- java.lang.Object
- - bitel.billing.server.util.AbstractSession
  - - bitel.billing.server.util.terminal.AbstractTerminalSession

- Direct Known Subclasses:
    SSHSession, TelnetSession

      public class AbstractTerminalSession
      extends AbstractSession

  Базовый класс для сессий Telnet и SSH.
  Author:
    king

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `endString`
    `protected bitel.billing.server.util.terminal.TerminalManager` | `finder`
    `protected java.io.InputStream` | `inputStream`
    `protected java.io.OutputStream` | `outPutStream`
    `protected java.lang.String` | `regexp`
    `protected int` | `socketTimeTimeout`

    - ### Fields inherited from class bitel.billing.server.util.AbstractSession

      `host, port, sourceHost, sourcePort, timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractTerminalSession(java.lang.String host, int port)` Конструктор класса

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `connect()` Устанавливает соединение с удаленным хостом
    `void` | `disconnect()` Закрывает соединение с удаленным хостом
    `java.lang.String` | `doCommand(java.lang.String command)` Отправляет на удаленный хост команду, прибавляет \r в конце и считывает ответ
    `void` | `doCommandAsync(java.lang.String command)` Вызываем команду,прибавляет \r в конце не дожидаясь конца ее выполнения К команде добавляется + \r автоматически
    `java.lang.String` | `doCommandWithoutEndSymbol(java.lang.String command)` Отправляет на удаленный хост команду(без \r) с считывает ответ
    `java.lang.String` | `getEndString()` Возвращает текущую строку приглашения, по умолчанию ">" (используется для поиска конца ответа от удаленного хоста)
    `java.lang.String` | `getRegexp()` Вовращает текуйщи regexp как призвнак конца вывода.
    `int` | `getRegexpBufferSize()` Deprecated. больше не используется
    `int` | `getSocketTimeTimeout()` Timeout socket-а
    `protected void` | `initConnection()`
    `void` | `setEndString(java.lang.String endString)` Устанавлтвает текущую строку приглашения, по умолчанию ">"
    `void` | `setReadWait(long readWait)`
    `void` | `setRegexp(java.lang.String regexp)` Устанавливает текуйщий regexp как призвнак конца вывода
    `void` | `setRegexp(java.lang.String regexp, int regexpBufferSize)` Deprecated. больше не используется, используйте метод setRegexp( String regexp )
    `void` | `setRegexpBufferSize(int regexpBufferSize)` Deprecated. больше не используется
    `void` | `setSocketTimeTimeout(int socketTimeTimeout)` Устновка timeout для socket

    - ### Methods inherited from class bitel.billing.server.util.AbstractSession

      `getTimeout, setTimeout`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### socketTimeTimeout

          protected int socketTimeTimeout

    - #### endString

          protected java.lang.String endString

    - #### finder

          protected bitel.billing.server.util.terminal.TerminalManager finder

    - #### regexp

          protected java.lang.String regexp

    - #### inputStream

          protected java.io.InputStream inputStream

    - #### outPutStream

          protected java.io.OutputStream outPutStream

  - ### Constructor Detail

    - #### AbstractTerminalSession

          public AbstractTerminalSession(java.lang.String host,
                                         int port)

      Конструктор класса
      Parameters:
        `host` - адрес хоста
        `port` - номер порта

  - ### Method Detail

    - #### connect

          public java.lang.String connect()
                                   throws java.lang.Exception

      Устанавливает соединение с удаленным хостом
      Specified by:
        `connect` in class `AbstractSession`
      Throws:
        `java.net.UnknownHostException`
        `java.io.IOException`
        `java.lang.Exception`

    - #### setReadWait

          public void setReadWait(long readWait)

    - #### initConnection

          protected void initConnection()
                                 throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### doCommand

          public java.lang.String doCommand(java.lang.String command)
                                     throws java.lang.Exception

      Отправляет на удаленный хост команду, прибавляет \r в конце и считывает ответ
      Specified by:
        `doCommand` in class `AbstractSession`
      Parameters:
        `command` - команда отсылаемая на удаленный хост
      Returns:
        результат выполнения команды
      Throws:
        `java.io.IOException`
        `bitel.billing.server.util.telnet.old.OperationTimedoutException`
        `java.lang.Exception`

    - #### doCommandAsync

          public void doCommandAsync(java.lang.String command)
                              throws java.lang.Exception

      Вызываем команду,прибавляет \r в конце не дожидаясь конца ее выполнения К команде добавляется + \r автоматически
      Parameters:
        `command` -
      Throws:
        `java.io.IOException`
        `java.lang.Exception`

    - #### doCommandWithoutEndSymbol

          public java.lang.String doCommandWithoutEndSymbol(java.lang.String command)
                                                     throws java.lang.Exception

      Отправляет на удаленный хост команду(без \r) с считывает ответ
      Parameters:
        `command` - команда отсылаемая на удаленный хост
      Returns:
        результат выполнения команды
      Throws:
        `java.io.IOException`
        `bitel.billing.server.util.telnet.old.OperationTimedoutException`
        `java.lang.Exception`

    - #### disconnect

          public void disconnect()
                          throws ru.bitel.bgbilling.common.BGException

      Закрывает соединение с удаленным хостом
      Specified by:
        `disconnect` in class `AbstractSession`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### getEndString

          public java.lang.String getEndString()

      Возвращает текущую строку приглашения, по умолчанию ">" (используется для поиска конца ответа от удаленного хоста)

    - #### setEndString

          public void setEndString(java.lang.String endString)

      Устанавлтвает текущую строку приглашения, по умолчанию ">"
      Parameters:
        `endString` -

    - #### getRegexp

          public java.lang.String getRegexp()

      Вовращает текуйщи regexp как призвнак конца вывода. Заменяет собой EndString
      Returns:

    - #### setRegexp

          public void setRegexp(java.lang.String regexp)

      Устанавливает текуйщий regexp как призвнак конца вывода
      Parameters:
        `regexp` -

    - #### setRegexp

          @Deprecated
          public void setRegexp(java.lang.String regexp,
                                            int regexpBufferSize)

      Deprecated. больше не используется, используйте метод setRegexp( String regexp )
      Parameters:
        `regexp` -

    - #### getSocketTimeTimeout

          public int getSocketTimeTimeout()

      Timeout socket-а
      Returns:

    - #### setSocketTimeTimeout

          public void setSocketTimeTimeout(int socketTimeTimeout)

      Устновка timeout для socket
      Parameters:
        `socketTimeTimeout` -

    - #### getRegexpBufferSize

          @Deprecated
          public int getRegexpBufferSize()

      Deprecated. больше не используется
      Parameters:
        `regexpBufferSize` -

    - #### setRegexpBufferSize

          @Deprecated
          public void setRegexpBufferSize(int regexpBufferSize)

      Deprecated. больше не используется
      Parameters:
        `regexpBufferSize` -